
<template>
<div v-if="!loading">
  <v-app dark>
    
    <v-navigation-drawer 
    app
    v-model="drawer"
    :clipped="$vuetify.breakpoint.lgAndUp"
    dark
    >
    <div v-if="$auth.loggedIn">
    <v-card class="pa-4">
      <v-row>
        <v-col cols="3">
          <v-avatar class="primary">
            <span class="black--text headline">{{$auth.user.teamname[0]}}</span>
          </v-avatar>
        </v-col>
        <v-col cols="9" >
          <v-list-item-title align="left"> {{$auth.user.teamname}}</v-list-item-title>
          <v-list-item-subtitle align="left">{{$auth.user.score}} punts</v-list-item-subtitle>
        </v-col>
      </v-row>
    </v-card>
    </div>
      
          
        
     <v-list color="green--text">               

       <div v-if="!$auth.loggedIn">
       <v-list-item to="/">
         <v-list-item-icon>
          <v-icon>mdi-home</v-icon>
        </v-list-item-icon>
        <v-list-item-content>
          <v-list-item-title>
            Inici
          </v-list-item-title>
        </v-list-item-content>
       </v-list-item>
       </div>


       <!-- <v-list-group
        v-if="$auth.loggedIn"
        :value="false"
        prepend-icon="mdi-format-list-bulleted-type"
        color="secondary--text"
      >
        <template v-slot:activator>
          <v-list-item-title>Proves</v-list-item-title>
        </template>

       <v-list-item
        v-for="link in links"
        :key="link.id"
        :to="{name:'category', params:{category:link.slug}}"
        
       >
        <v-list-item-icon>
          <v-icon>mdi-chevron-right</v-icon>
        </v-list-item-icon>
        <v-list-item-content>
          <v-list-item-title>
            {{link.name}}
          </v-list-item-title>
        </v-list-item-content>
       </v-list-item>

       </v-list-group> -->
       
       <v-list-item to="/user/completed" v-if="$auth.loggedIn">
         <v-list-item-icon>
          <v-icon>mdi-check-decagram</v-icon>
        </v-list-item-icon>
        <v-list-item-content>
          <v-list-item-title>
            Proves completades
          </v-list-item-title>
        </v-list-item-content>
       </v-list-item>

       <div v-if="$auth.loggedIn">
        <v-list-item to="/teams" v-if="$auth.user.role.type === 'authenticated'">
         <v-list-item-icon>
          <v-icon>mdi-account-group-outline</v-icon>
        </v-list-item-icon>
        <v-list-item-content>
          <v-list-item-title>
            Equips
          </v-list-item-title>
        </v-list-item-content>
       </v-list-item>
       </div>

        <div v-if="$auth.loggedIn">
        <v-list-item to="/teams" v-if="$auth.user.role.type === 'admin'">
         <v-list-item-icon>
          <v-icon>mdi-account-group-outline</v-icon>
        </v-list-item-icon>
        <v-list-item-content>
          <v-list-item-title>
            Equips
          </v-list-item-title>
        </v-list-item-content>
       </v-list-item>
       </div>
       
       <div v-if="$auth.loggedIn">
       <v-list-item to="/clasification" v-if="$auth.user.role.type === 'admin'">
         <v-list-item-icon>
          <v-icon>mdi-clipboard-list-outline</v-icon>
        </v-list-item-icon>
        <v-list-item-content>
          <v-list-item-title>
            Clasificació
          </v-list-item-title>
        </v-list-item-content>
       </v-list-item>
       </div>

      <div v-if="$auth.loggedIn">
       <v-list-item to="/clasificacionextra" v-if="$auth.user.role.type === 'extra'">
         <v-list-item-icon>
          <v-icon>mdi-clipboard-list</v-icon>
        </v-list-item-icon>
        <v-list-item-content>
          <v-list-item-title>
            Clasificació
          </v-list-item-title>
        </v-list-item-content>
       </v-list-item>
       </div>

       <div v-if="$auth.loggedIn">
       <v-list-item to="/clasificacionextra" v-if="$auth.user.role.type === 'admin'">
         <v-list-item-icon>
          <v-icon>mdi-clipboard-list</v-icon>
        </v-list-item-icon>
        <v-list-item-content>
          <v-list-item-title>
            Clasificació Extra
          </v-list-item-title>
        </v-list-item-content>
       </v-list-item>
       </div>
       
<!-- 
       <v-list-item to="/chat" v-if="$auth.loggedIn">
         <v-list-item-icon>
          <v-icon>mdi-message-text</v-icon>
        </v-list-item-icon>
        <v-list-item-content>
          <v-list-item-title>
            Chat
          </v-list-item-title>
        </v-list-item-content>
       </v-list-item> -->

      
       <!-- <v-list-item href="https://drive.google.com" target="_blank">
         <v-list-item-icon>
          <v-icon>mdi-script-text-outline</v-icon>
        </v-list-item-icon>
        <v-list-item-content>
          <v-list-item-title>
            Proves en PDF
          </v-list-item-title>
        </v-list-item-content>
       </v-list-item> -->
       
       <div >
       <v-list-item to="/reglament">
         <v-list-item-icon>
          <v-icon>mdi-list-status</v-icon>
        </v-list-item-icon>
        <v-list-item-content>
          <v-list-item-title>
            Reglament
          </v-list-item-title>
        </v-list-item-content>
       </v-list-item>
       </div>

       <v-list-item @click="logout()" v-if="$auth.loggedIn">
         <v-list-item-icon>
          <v-icon>mdi-logout</v-icon>
        </v-list-item-icon>
        <v-list-item-content>
          <v-list-item-title>
            Tancar sessió
          </v-list-item-title>
        </v-list-item-content>
       </v-list-item>


     </v-list>
    </v-navigation-drawer>


    <v-navigation-drawer 
    app
    v-model="drawer2"
    :clipped="$vuetify.breakpoint.lgAndUp"
    right
    dark
    >
        
     <v-list color="green--text">               
       <v-list-item to="/user/admin/proves" v-if="$auth.loggedIn">
         <v-list-item-icon>
          <v-icon>mdi-script-text-outline</v-icon>
        </v-list-item-icon>
        <v-list-item-content>
          <v-list-item-title>
            Edició de proves
          </v-list-item-title>
        </v-list-item-content>
       </v-list-item>

       <v-list-item to="/user/admin/teams" v-if="$auth.loggedIn">
         <v-list-item-icon>
          <v-icon>mdi-account-group-outline</v-icon>
        </v-list-item-icon>
        <v-list-item-content>
          <v-list-item-title>
            Edició d'equips
          </v-list-item-title>
        </v-list-item-content>
       </v-list-item>
     </v-list>

     

    </v-navigation-drawer>

    <v-app-bar class="navbar" color="black" dark app :clipped-left="$vuetify.breakpoint.lgAndUp" :clipped-right="$vuetify.breakpoint.lgAndUp"   flat>
      <v-app-bar-nav-icon @click="drawer = !drawer"></v-app-bar-nav-icon>
      <v-toolbar-title v-text="title"></v-toolbar-title>
      

      <v-spacer></v-spacer>


      <div v-if="$auth.loggedIn">
      <v-menu   :close-on-content-click="false" offset-y transition="scale-transition">
        <template v-slot:activator="{on}">
          <v-btn v-on="on" icon>
            <v-icon>mdi-magnify</v-icon>
          </v-btn>
        </template>
        <v-card>
          <v-card-text>
            <v-text-field 
            label="Buscar prova" 
            dense v-model="findProve"
            @input="searchProve()"
            ></v-text-field>
            <v-list v-if="findProve.length != 0">
              <v-list-item v-for="prove in proves" :key="prove.id" 
              @click="seeProve(prove.category.slug, prove.id)">
                <h3><v-icon>mdi-arrow-right-thin</v-icon>{{prove.name}}</h3>
              </v-list-item>
            </v-list>
           
          </v-card-text>
        </v-card>
        </v-menu>
        </div>

         <div v-if="$auth.loggedIn">
            <v-btn @click="sheet = !sheet" icon>
              <v-icon>mdi-timer-settings-outline</v-icon>
            </v-btn>
        </div>

        <div v-if="$auth.loggedIn">
          <div v-if="$auth.user.role.type === 'admin'">
            <v-btn @click="drawer2 = !drawer2" icon>
              <v-icon>mdi-cog-outline</v-icon>
            </v-btn>
          </div>
        </div>


         <v-bottom-sheet v-model="sheet">
            <v-sheet
              class="text-center"
              height="135px"
            >
              <div >
                <v-row>
                  <v-col>
                    <h2>Temps restant</h2>
                      <flip-countdown deadline="2022-07-10 23:00:00" :showDays="false"></flip-countdown>
                  </v-col>
                </v-row>
              </div>
            </v-sheet>
        </v-bottom-sheet>
    </v-app-bar>

    
    
    

    

    <v-main>
      <nuxt/>
       
      <v-snackbar 
      v-for="(snack, i) in snacks.filter((s)=> s.showing)"
      :key="i + Math.random()"
      v-model="snack.showing"
      :color="snack.color"
      :timeout="snack.timeout"
      :style="`bottom: ${i * 60 +5}px`"
      >
        {{snack.text}}
        <v-btn slot="action" small icon @click="snack.showing = false">
          <v-icon small>mdi-close</v-icon>
        </v-btn>
      </v-snackbar>

    </v-main>
    
    <div v-if="$auth.loggedIn" class="mt-0"> 
      <template>
        <v-bottom-navigation
          color="primary" 
          dark
          fixed
          app
          background-color="black"
          height="80px"
          style="opacity:0.9"
          class="mt-0 pt-0"
        >
          
              <v-btn :to="{name:'category', params:{category:category.slug}}" 
              v-for="category in categories" :key="category.id" >
                <span>{{category.name}}</span>

                <v-icon class="mt-0">{{category.icon}}</v-icon>
              </v-btn>
         
        </v-bottom-navigation>
        
    </template>
    </div>
    
    <div v-else>
      <v-footer 
        fixed
        dark
        app
        color="black"
      >
        <v-row  class="mb-4" justify="center" no-gutters>
          <v-col class="text-center" cols="12">
            &copy; {{new Date().getFullYear()}} - La prèvia
          </v-col>
        </v-row>
      </v-footer>
    </div>

  </v-app>
</div>
</template>



<script>

import FlipCountdown from 'vue2-flip-countdown'
import {mapGetters} from 'vuex'

export default {
  data () {
    return {
      loading:true,
      drawer:false,
      drawer2:false,
      title:"La prèviApp",
      name: null,
      findProve:"",
      snack:false,
      loginmenu:false,
      expand2: false,
      tab: null,
      sheet: false,
      text: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.',
    }
  },
  components: { FlipCountdown 
  },
   computed:{
    ...mapGetters({
      snacks: "snackbars/readSnacksbars",
      proves:"readLoadedProves"
    }),
    filteredProve(){
      return this.proves.filter(prove => 
       prove.name.toLowerCase().match(this.findProve.toLowerCase())
      )
    },
    categories(){
      return this.$store.getters.readCategories
    }
  },
  methods:{
    seeProve(category, prove){
      this.findProve = ""
      this.search = false
      this.$router.push({name:'category-prove', params:{category, prove}})
    },
    searchProve(){
      this.$store.dispatch("searchProve", this.findProve)
    },
    logout(){
      this.drawer2 = false
      this.$auth.logout()
      this.loginmenu = false
    }
  },
  async mounted(){
     await this.$store.dispatch("nuxtServerInit")
  },
  created(){
        this.$nextTick(function () {
           this.loading = false
       })
     }
}
</script>

<style>

.flip-clock__slot {
  display: none !important;
}

.flip-card__top[data-v-cff81de8],\n.flip-card__bottom[data-v-cff81de8],\n.flip-card__back-bottom[data-v-cff81de8],\n.flip-card__back[data-v-cff81de8]::before,\n.flip-card__back[data-v-cff81de8]::after {
  color: #318535 !important
}

.flip-card__back[data-v-cff81de8]::before,\n.flip-card__back[data-v-cff81de8]::after {
  color: #318535 !important
}

.flip-card__bottom[data-v-cff81de8],\n.flip-card__back-bottom[data-v-cff81de8],\n.flip-card__bottom-4digits[data-v-cff81de8],\n.flip-card__back-bottom-4digits[data-v-cff81de8] {
  color: #31A236 !important
}

.flip-card__back-bottom[data-v-cff81de8],\n.flip-card__back[data-v-cff81de8]::before,\n.flip-card__back[data-v-cff81de8]::after {
color: #31A236 !important
}

.flip-card__top-4digits[data-v-cff81de8],\n.flip-card__bottom-4digits[data-v-cff81de8],\n.flip-card__back-bottom-4digits[data-v-cff81de8],\n.flip-card__back-4digits[data-v-cff81de8]::before,\n.flip-card__back-4digits[data-v-cff81de8]::after {
  color: #318535 !important
}



</style>




